# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLEndpointContext

Packages that use SAMLEndpointContext
Package
Description
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.

## Uses of SAMLEndpointContext in org.opensaml.saml.common.profile.logic

Fields in org.opensaml.saml.common.profile.logic with type parameters of type SAMLEndpointContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SAMLEndpointContext>`
DefaultLocalErrorPredicate.`endpointContextLookupStrategy`
Strategy function for access to `SAMLEndpointContext` to check.
Method parameters in org.opensaml.saml.common.profile.logic with type arguments of type SAMLEndpointContext
Modifier and Type
Method
Description
`void`
DefaultLocalErrorPredicate.`setEndpointContextLookupStrategy(Function<ProfileRequestContext,SAMLEndpointContext> strategy)`
Set lookup strategy for `SAMLEndpointContext` to check.